%define	name	gIDE
%define	version	0.1.0
%define	release	1
%define	serial	1

Summary:	gtk-based Integrated Development Environment for C.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		Applications/Editors
URL:		http://gide.pn.org
Vendor:		Steffen Kern <sk@pn.org>
Source:		%{name}-%{version}.tar.gz
Distribution:	Freshmeat RPMs
Requires:	gtk+ >= 1.2.0
Packager:	Ryan Weaver <ryanw@infohwy.com>
BuildRoot:	/tmp/%{name}-%{version}

%description
 The development has just started, but gIDE already features a powerful
 Editor with Syntax Highlighting and (One-Line-)Indenter that can
 Create, Open, Close, Save & Print Files and there are already
 operations like Cut, Copy & Paste implemented. Search and some Tools
 are integrated as well. gIDE is currently in heavy development and
 help will always be appreciated.

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr

%build
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
make prefix=$RPM_BUILD_ROOT/usr install-strip

gzip -9f $RPM_BUILD_ROOT/usr/man/man1/*

%post
cat <<EOF

  	Copy the files in /usr/doc/%{name}-%{version}/extra to ~/.gide
  to use all features of gIDE.

EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs/* examples extra AUTHORS COPYING ChangeLog INSTALL KNOWNBUGS
%doc NEWS README README.guile TODO gtktext.patch gtktext.patch.README
/usr/bin/gdbio
/usr/bin/gide
/usr/man/man1/gdbio.1.gz
/usr/man/man1/gide.1.gz

%changelog
* Thu Mar  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [gIDE-0.1.0-1]
- Initial RPM build.
- March 1, 1999
- gIDE 0.1.0 is out! This marks the end of the current feature
  freeze, and is a usable and mostly-stable release. This is
  still a development release, and by no means a complete product,
  but we're getting closer =)
